Package com.sas.lsaf.content.common

## Class FileImportInfo

- java.lang.Object
- - com.sas.lsaf.content.common.FileImportInfo

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `StudyComponentImportInfo`

      public class FileImportInfo
      extends java.lang.Object
      implements java.io.Serializable

  The class containing information for importing metadata from a file within the system.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileImportInfo()` | Constructor.
    `FileImportInfo​(java.lang.String importFilePath, java.lang.String importFileVersion, SourceLocation importFileSourceLocation)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getImportFilePath()` | Gets the file path from within the system in which to import.
    `SourceLocation` | `getImportFileSourceLocation()` | Gets the source location (repository or workspace) of the import file.
    `java.lang.String` | `getImportFileVersion()` | Gets the version of the file path from within the system in which to import.
    `void` | `setImportFilePath​(java.lang.String importFilePath)` | Sets the file path from within the system in which to import.
    `void` | `setImportFileSourceLocation​(SourceLocation importFileSourceLocation)` | Sets the source location (repository or workspace) of the import file.
    `void` | `setImportSourceVersion​(java.lang.String importFileVersion)` | Sets the version of the file path from within the system in which to import.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileImportInfo

          public FileImportInfo()

      Constructor.

    - #### FileImportInfo

          public FileImportInfo​(java.lang.String importFilePath,
                                java.lang.String importFileVersion,
                                SourceLocation importFileSourceLocation)

      Constructor.
      Parameters:
        `importFilePath` - The path of the import file.
        `importFileVersion` - The version of the import file.
        `importFileSourceLocation` - The source location (repository or workspace) of the import file.

  - ### Method Detail

    - #### getImportFilePath

          public java.lang.String getImportFilePath()

      Gets the file path from within the system in which to import.
      Returns:
        The file path from within the system in which to import.

    - #### setImportFilePath

          public void setImportFilePath​(java.lang.String importFilePath)

      Sets the file path from within the system in which to import.
      Parameters:
        `importFilePath` - The file path from within the system in which to import.

    - #### getImportFileVersion

          public java.lang.String getImportFileVersion()

      Gets the version of the file path from within the system in which to import. Default is `null`. If `null`, the latest version of the file will be used.
      Returns:
        The version of the file path from within the system in which to import.

    - #### setImportSourceVersion

          public void setImportSourceVersion​(java.lang.String importFileVersion)

      Sets the version of the file path from within the system in which to import. Default is `null`. If `null`, the latest version of the file will be used.
      Parameters:
        `importFileVersion` - The version of the file path from within the system in which to import.

    - #### getImportFileSourceLocation

          public SourceLocation getImportFileSourceLocation()

      Gets the source location (repository or workspace) of the import file.
      Returns:
        The source location (repository or workspace) of the import file.

    - #### setImportFileSourceLocation

          public void setImportFileSourceLocation​(SourceLocation importFileSourceLocation)

      Sets the source location (repository or workspace) of the import file.
      Parameters:
        `importFileSourceLocation` - The source location (repository or workspace) of the import file.